﻿namespace U2UConsult.WinRT.GridViewSample.ViewModels
{
    using System.Collections.Generic;
    using System.Linq;
    using Models;
    using Windows.UI.Xaml.Data;

    public class MainViewModel
    {
        /// <summary>
        /// Returns a list of some Belgian beers.
        /// </summary>
        public static IEnumerable<BelgianBeer> BelgianBeers
        {
            get
            {
                List<BelgianBeer> result = new List<BelgianBeer>();

                result.Add(new BelgianBeer() { Name = "Saison 1900", Category = "Belgian Saison", ImagePath = "Assets/Images/1900.jpg" });
                result.Add(new BelgianBeer() { Name = "Achel", Category = "Belgian Strong Ale", ImagePath = "Assets/Images/Achel.jpg" });
                result.Add(new BelgianBeer() { Name = "Oude Geuze Boon", Category = "Sour Ale", ImagePath = "Assets/Images/Boon.jpg" });
                result.Add(new BelgianBeer() { Name = "Blue Chimay", Category = "Belgian Strong Ale", ImagePath = "Assets/Images/Chimay.jpg" });
                result.Add(new BelgianBeer() { Name = "Chouffe Houblon", Category = "Indian Pale Ale", ImagePath = "Assets/Images/Chouffe.jpg" });
                result.Add(new BelgianBeer() { Name = "Delirium Tremens", Category = "Belgian Strong Ale", ImagePath = "Assets/Images/Delirium.jpg" });
                result.Add(new BelgianBeer() { Name = "Saison Dupont", Category = "Belgian Saison", ImagePath = "Assets/Images/Dupont.jpg" });
                result.Add(new BelgianBeer() { Name = "Duvel", Category = "Belgian Strong Ale", ImagePath = "Assets/Images/Duvel.jpg" });
                result.Add(new BelgianBeer() { Name = "Lindemans Faro", Category = "Sour Ale", ImagePath = "Assets/Images/Faro.jpg" });
                result.Add(new BelgianBeer() { Name = "Gueuze Girardin", Category = "Sour Ale", ImagePath = "Assets/Images/Girardin.jpg" });
                result.Add(new BelgianBeer() { Name = "De Graal Tripel", Category = "Belgian Strong Ale", ImagePath = "Assets/Images/Graal.jpg" });
                result.Add(new BelgianBeer() { Name = "Hopus", Category = "Indian Pale Ale", ImagePath = "Assets/Images/Hopus.jpg" });
                result.Add(new BelgianBeer() { Name = "Tripel Karmeliet", Category = "Belgian Strong Ale", ImagePath = "Assets/Images/Karmeliet.jpg" });
                result.Add(new BelgianBeer() { Name = "Liefmans Bruin", Category = "Sour Ale", ImagePath = "Assets/Images/Liefmans.jpg" });
                result.Add(new BelgianBeer() { Name = "Pater Lieven", Category = "Belgian Strong Ale", ImagePath = "Assets/Images/PaterLieven.jpg" });
                result.Add(new BelgianBeer() { Name = "Rochefort 10", Category = "Belgian Strong Ale", ImagePath = "Assets/Images/Rochefort.jpg" });
                result.Add(new BelgianBeer() { Name = "Rodenbach Grand Cru", Category = "Sour Ale", ImagePath = "Assets/Images/Rodenbach.jpg" });
                result.Add(new BelgianBeer() { Name = "Silly Saison", Category = "Belgian Saison", ImagePath = "Assets/Images/Silly.jpg" });
                result.Add(new BelgianBeer() { Name = "Slaapmutske Tripel", Category = "Belgian Strong Ale", ImagePath = "Assets/Images/Slaapmutske.jpg" });
                result.Add(new BelgianBeer() { Name = "Westmalle Tripel", Category = "Belgian Strong Ale", ImagePath = "Assets/Images/Westmalle.jpg" });
                result.Add(new BelgianBeer() { Name = "Zinnebir", Category = "Indian Pale Ale", ImagePath = "Assets/Images/Zinnebir.jpg" });

                return result;
            }
        }

        /// <summary>
        /// Returns the same list of beers, grouped by category. 
        /// </summary>
        public static IEnumerable<object> BelgianBeersByCategory
        {
            get
            {
                var query = from item in BelgianBeers
                            orderby item.Category
                            group item by item.Category into g
                            select g;

                return query;
            }
        }
    }
}
